package org.objectweb.fdb.api;

import org.objectweb.fdb.FdbLoid;
import org.objectweb.fdb.impl.FdbPoid;
import org.objectweb.fdb.impl.FdbProperties;

import java.util.Collection;

public interface FdbOidTable {
    Collection getAllFloidFromClid(Object clid);

    FdbPoid getFpoid(FdbLoid floid);

    void setUpdate(FdbLoid floid, short value);

    short getUpdate(FdbLoid floid);

    void checkStateFromBase(FdbProperties properties);

    boolean contains(FdbLoid floid);

    void insertFpoid(FdbLoid floid, FdbPoid fpoid);

    void removeFloid(FdbLoid floid);

    FdbPoid updatePoid(FdbLoid floid, FdbPoid newFpoid);
}
