package org.objectweb.fdb.api;

import org.objectweb.fdb.impl.InFileAddress;
import org.objectweb.fdb.impl.InTransactionBaseImage;

import java.util.Iterator;

public interface FdbPhysicalFileAccess {

    void insertFileObject(FdbObject fo);

    FdbObject readFileObjectAt(InFileAddress ifa);

    void updateFileObject(FdbObject fo);

    void deleteFileObject(InFileAddress ifa);

    void updateObjectInBase(InFileAddress ifa, Object o, boolean isUpdate);


    void start();

    void commit();

    void rollback();


    Iterator getRAFFiles();

    InTransactionBaseImage getBaseImage();

    boolean isNewBase();
}
