package org.objectweb.fdb.api;

import org.objectweb.fdb.FdbSession;

public interface FdbQueryManager {

    void init(FdbSessionInternal session);

    FdbSession getSession();

    void setQueryResolveMode(int resolveMode);

    FdbIndexManager getIndexManager();

    public static final int RESOLVE_ON_SET = 0;
    public static final int RESOLVE_ON_ELEMENT = 1;
}
