package org.objectweb.fdb.api;

import org.objectweb.fdb.FdbSession;
import org.objectweb.fdb.impl.FdbProperties;
import org.objectweb.fdb.impl.IdentityProviderImpl;

import java.util.Collection;

public interface FdbSessionInternal extends FdbSession {
    Collection getAllClassNames();

    FdbLogicalSystemPageAccess getFileAccess();

    IdentityProviderImpl getOidProvider();

    FdbProperties getProperties();

    Object getSessionId();

    void clearObjectCache();

    void setOptimistic();

    void setPessimistic();

    void begin();

    void commit();

    void rollback();
}
