package org.objectweb.fdb.exception;

import org.objectweb.fdb.impl.lock.Lock;

public class FdbLockException extends FdbDatabaseException {
    private Lock lock;

    public FdbLockException() {
    }

    public FdbLockException(String s) {
        super(s);
    }

    protected FdbLockException(Lock lock) {
        this.lock = lock;
    }

    public Lock getLock() {
        return lock;
    }
}
