package org.objectweb.fdb.impl;

import org.objectweb.fdb.api.FdbObject;

import java.io.Serializable;

public class FdbObjectImpl implements FdbObject {
    private transient InFileAddress ifa;
    private Object data;

    public FdbObjectImpl() {
    }

    public void setData(Object data) {
        this.data = data;
    }

    public Object getData() {
        return data;
    }

    public void setIfa(InFileAddress ifa) {
        this.ifa = ifa;
    }

    public InFileAddress getIfa() {
        return ifa;
    }

    public String toString() {
        if (data != null) {
            if (data instanceof Object[]) {
                Object[] storedDatas = (Object[]) data;
                StringBuffer sb = new StringBuffer();
                sb.append("FdbObjectImpl[");
                for (int i = 0; i < storedDatas.length; i++) {
                    if (storedDatas[i] == null) {
                        sb.append("null");
                    } else {
                        sb.append(storedDatas[i]);
                    }
                    if (i != (storedDatas.length - 1)) {
                        sb.append(";");
                    }
                }
                sb.append("]");
                return sb.toString();
            } else {
                return "FdbObjectImpl[" + data.toString() + "]";
            }
        } else {
            return "FdbObjectImpl[" + super.toString() + "]";
        }
    }
}
