package org.objectweb.fdb.impl.meta;

import org.objectweb.fdb.impl.meta.type.MetaType;
import org.objectweb.fdb.impl.InFileAddress;

import java.io.Serializable;

public class FieldDescription implements Serializable {

    public FieldDescription(String name, MetaType type) {
        this.name = name;
        this.type = type;
        this.index = -1;
    }

    public short getIndex() {
        return index;
    }

    public void setIndex(short index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public MetaType getType() {
        return type;
    }

    public void setType(MetaType type) {
        this.type = type;
    }

    public InFileAddress getValueIndexIfa() {
        return valueIndexIfa;
    }

    public void setValueIndexIfa(InFileAddress valueIndexIfa) {
        this.valueIndexIfa = valueIndexIfa;
    }

    public short getValueIndexType() {
        return valueIndexType;
    }

    public void setValueIndexType(short valueIndexType) {
        this.valueIndexType = valueIndexType;
    }

    public boolean equals(Object o) {
        try {
            FieldDescription candidate = (FieldDescription) o;
            return (candidate.name.equals(this.name) &&
                    (candidate.index == this.index) &&
                    (candidate.type.equals(this.type)));
        } catch (Exception e) {
        }
        return false;
    }

    private String name;
    private short index;
    private MetaType type;
    private InFileAddress valueIndexIfa;
    private short valueIndexType;
}
