package org.objectweb.fdb.impl.meta.comparator;

public class IntComparator extends DefaultComparator {

    public boolean greater(Object candidate, Object value) {
        return ((Integer)candidate).intValue() > ((Integer)value).intValue();
    }

    public boolean like(Object candidate, Object value) {
        return super.equal(candidate, value);
    }

    public boolean smaller(Object candidate, Object value) {
        return ((Integer)candidate).intValue() < ((Integer)value).intValue();
    }
}
