package org.objectweb.fdb.impl.meta.comparator;

import org.objectweb.fdb.exception.FdbQueryEngineException;

public class StringComparator extends DefaultComparator {
    public boolean smaller(Object candidate, Object value) {
        return ((String)value).compareTo((String)candidate) < 0;
    }

    public boolean greater(Object candidate, Object value) {
        return ((String)value).compareTo((String)candidate) > 0;
    }

    public boolean equal(Object candidate, Object value) {
        return value.equals(candidate);
    }
}
