package org.objectweb.fdb.impl.page;

import org.objectweb.fdb.impl.FdbProperties;
import org.objectweb.fdb.impl.InFileAddress;

public class OidPage extends Page {
    public OidPage(int size) {
        super(size);
    }

    public void setIfa(InFileAddress ifa) {
        super.setIfa(ifa);
        ifa.setFileIndex(FdbProperties.OID_INDEX);
    }

    protected String pageName() {
        return "IDP";
    }
}
