package org.objectweb.fdb.impl.page;

import org.objectweb.fdb.impl.FdbProperties;
import org.objectweb.fdb.impl.InFileAddress;

public class SystemPage extends Page {
    public SystemPage(int size) {
        super(size);
    }

    public void setIfa(InFileAddress ifa) {
        super.setIfa(ifa);
        ifa.setFileIndex(FdbProperties.SYSTEM_INDEX);
    }

    protected String pageName() {
        return "SysP";
    }
}
