package fdbtests;

import junit.framework.Test;

import fdbtests.workbench.FdbTestSuite;
import fdbtests.tests.*;

public class MainTestSuite extends FdbTestSuite {
    public static Test suite() {
        FdbTestSuite suite = new MainTestSuite();
//        suite.addTest(InitStoreTestCase.suite());
        suite.addTest(BasicFunctionnalityTestCase.suite());
        suite.addTest(PopulateTestCase.suite());
//        suite.addTest(MetaRepositoryTestCase.suite());
        suite.addTest(RestructureTestCase.suite());
//        suite.addTest(StabilityTestCase.suite());
//        suite.addTest(Db4oTestCase.suite());
//        suite.addTest(QueryTestCase.suite());
        return suite;
    }

    public static void main(String[] args) {
        String lidoProperties = "fdb.properties";
        String runtimeArgs[] = {"-v","-nt",fdbtests.MainTestSuite.class.getName(),"-db",lidoProperties};
        fdbtests.workbench.FdbTestEngine.main(runtimeArgs);
    }

}
