package org.objectweb.fdb.api;

import org.objectweb.fdb.impl.meta.comparator.FdbFielComparator;
import org.objectweb.fdb.FdbLoid;

import java.io.Serializable;
import java.util.Set;

public interface FdbIndex extends Serializable {

    FdbFielComparator getComparator();

    void put(Object key, FdbLoid value);

    void remove(Object key, FdbLoid value);

    Set get(Object key);

    Set keySet();

    void setIndexManager(FdbIndexManager indexManager);
}
