package org.objectweb.fdb.impl.page;

import org.objectweb.fdb.api.FdbDataObject;
import org.objectweb.fdb.impl.InFileAddress;

public class InstancePage extends Page {
    public InstancePage(int size) {
        super(size);
    }

    public Object getDataAt(InFileAddress dataIfa) {
        FdbDataObject readObject = (FdbDataObject) storedDatas[dataIfa.getIndex()];
        if (readObject != null) {
            return readObject.getClone();
        }
        return null;
    }

    public void setIfa(InFileAddress ifa) {
        super.setIfa(ifa);
    }

    protected String pageName() {
        return "InsP";
    }
}
