package org.objectweb.fdb.impl.page;

import org.objectweb.fdb.impl.page.Page;
import org.objectweb.fdb.impl.InFileAddress;
import org.objectweb.fdb.impl.FdbProperties;

public class LeafPage extends Page {
    public LeafPage(int size, Object pid) {
        super(size);
        this.pid = pid;
    }

    public void setIfa(InFileAddress ifa) {
        super.setIfa(ifa);
        ifa.setFileIndex(FdbProperties.INDEXES_INDEX);
    }

    protected String pageName() {
        return "LeP";
    }

    public Object getPid() {
        return pid;
    }

    private Object pid;

    public static final short SIZE = 20;
}
