package org.objectweb.fdb.impl.trace;

import java.util.Collections;
import java.util.Iterator;
import java.util.Set;

public class TraceNull extends Trace {
    public boolean isEnabled(Module component) {
        return false;
    }

    public boolean isShowThread() {
        return false;
    }

    public void enableShowThread() {
    }

    public void enableTrace(boolean enable) {
    }

    public Set enabledModules() {
        return Collections.EMPTY_SET;
    }

    protected void setEnabledModules(Set modules) {
    }

    public void init(Iterator traceModuleNames) {
    }

    public void printException(Object message, Throwable t) {
    }

    public void println(Module component, String message) {
    }

    public void println(Module component, String message, Object parameter1) {
    }

    public void println(Module component, String message, Object parameter1,
                        Object parameter2) {
    }

    public void println(Module component, String message, Object parameter1,
                        Object parameter2, Object parameter3) {
    }

    public void println(Module component, String message, Object[] parameters) {
    }
}
