package org.objectweb.fdb.jca.data;

import org.objectweb.fdb.impl.trace.Trace;

import javax.resource.spi.ManagedConnectionMetaData;
import javax.resource.ResourceException;

public class FdbManagedConnectionMetaData implements ManagedConnectionMetaData {
    private String userName = "guest";
    private Trace trace = Trace.current();
    private int maxConnections = 5;

    public String getEISProductName() throws ResourceException {
        return "";
    }

    public String getEISProductVersion() throws ResourceException {
        return "";
    }

    public int getMaxConnections() throws ResourceException {
        trace.println(Trace.JCA, "getMaxConnections");
        return maxConnections;
    }

    public String getUserName() throws ResourceException {
        trace.println(Trace.JCA, "getUserName");
        return userName;
    }
}
